library JpegLib;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  Windows, Graphics, JPEG;

{ LoadJpeg function returns the handle to a Windows bitmap holding the image
  data extracted from the specified JPEG file.

  function LoadJPEG(AFileName: PChar): HBITMAP; stdcall;

  Parameters:
    AFileName:  Specifiy the JPEG filename

  Return Values:
    If the function succeeds, the return value is a handle Windows bitmap holding
    the image data extracted from the specified JPEG file.

    If the function fails, the return value is 0. }
function LoadJPEG(AFileName: PChar): HBITMAP; stdcall;
var
  JPEG: TJPEGImage;
  Bitmap: TBitmap;
begin
  Result := 0;
  JPEG := TJPEGImage.Create;
  Bitmap := TBitmap.Create;
  try
    try
      JPEG.LoadFromFile(AFileName);
      Bitmap.Assign(JPEG);
      Result := Bitmap.ReleaseHandle;
    except
    end;
  finally
    Bitmap.Free;
    JPEG.Free;
  end;
end;

exports LoadJPEG;

begin
end.
